Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226327 - Merge Review: pvm
Summary: Merge Review: pvm
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pvm
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:44 UTC by Nobody's working on this, feel free to take it
Modified: 2016-12-20 11:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 11:59:33 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:44:48 UTC
Fedora Merge Review: pvm

http://cvs.fedora.redhat.com/viewcvs/devel/pvm/
Initial Owner: dledford@redhat.com

Comment 1 Susi Lehtola 2014-05-30 17:46:42 UTC
The package hasn't gone through a merge review, and as pointed out on the fedora-devel list there are some glaring problems with the current spec file, see

https://lists.fedoraproject.org/pipermail/devel/2014-May/199502.html

Reopening.

Please modernize the spec file to conform to the current Packaging Guidelines.

Comment 2 Doug Ledford 2014-05-30 18:00:24 UTC
pvm is dead upstream and has been for years.  I see little sense in modernizing something that more likely should simply be dropped.

Comment 3 Susi Lehtola 2014-05-30 18:03:47 UTC
Of course, that's a perfectly valid alternative as well.

Comment 4 Richard Shaw 2014-05-30 18:04:38 UTC
Looks like someone is trying to keep it alive:
http://www.csm.ornl.gov/~kohl/

but I'm not sure it can be considered an official upstream.

Comment 5 Susi Lehtola 2014-05-30 18:09:28 UTC
(In reply to Richard Shaw from comment #4)
> Looks like someone is trying to keep it alive:
> http://www.csm.ornl.gov/~kohl/
> 
> but I'm not sure it can be considered an official upstream.

Note that's on the same server as pvm upstream, and the unofficial tarballs are of the same version as the latest stable release of pvm... So I wouldn't say it's alive.

Comment 6 Doug Ledford 2014-05-30 19:15:43 UTC
I'm thinking it's still pretty dead.  The PVM on that site worked on PVM, which led them into a new project they called Harness, which in turn developed technologies that are now present in Open MPI according to their Harness page.  The last PVM related research publication listed on ~kohl's web pages was back in the 90's (follow his link to PVM, then close to the bottom of that page there is a link to their team roster as well as a link to publications by the team, the last publications were in 1995).

I say we declare it dead and remove it from the distribution.

Comment 7 Richard Shaw 2014-05-30 20:41:59 UTC
I just looked at mplayer and I can't see where pvm is required anymore, no BuildRequires for it that I can find so yes, let's kick pvm to the curb.

Comment 8 Ankur Sinha (FranciscoD) 2014-10-08 10:33:22 UTC
I'm looking at packaging NEURON - which is a neuron simulator widely used in computational neuroscience research. Unfortunately, NEURON, is quite old, but still maintained, and uses pvm for parallel computing. I could take up this review and correct the pvm spec - only because it'll make the NEURON build more complete.

http://www.neuron.yale.edu/neuron/

Comment 9 Richard Shaw 2014-10-08 13:54:36 UTC
It's all yours! I hope you've looked at how it's currently packaged. It's atrocious. 

It may or may not be possible to bring it 100% into guideline compliance but any improvements would be welcomed at this point.

Comment 10 Ankur Sinha (FranciscoD) 2014-10-08 15:32:08 UTC
(In reply to Richard Shaw from comment #9)
> It's all yours! I hope you've looked at how it's currently packaged. It's
> atrocious. 
> 
> It may or may not be possible to bring it 100% into guideline compliance but
> any improvements would be welcomed at this point.

Well, I'll give it a fair try - and if it's really that difficult, we can drop it.

Taking over the bz.

Comment 11 Richard Shaw 2015-05-27 19:03:51 UTC
I have retired pvm for el6 and epel7, I would recommend you do the same, this thing is a nightmare.

Comment 12 Jan Kurik 2015-07-15 15:24:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 13 Fedora End Of Life 2016-11-24 10:21:02 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 11:59:33 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.